API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional Info

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrument

Market Data

POSTGet quotesPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote
HelpFeedback
Tax Lot Selling

Get unrealized tax lots for symbol

Retrieve unrealized tax lots for a specific symbol

Returns detailed unrealized tax lots for a specific symbol in the account. Requires the `portfolio` scope. Available to individual investors.

GET/userapigateway/trading/{accountId}/taxlots/unrealized/{symbol}

Parameters

Path Parameters

string
string

Query Parameters

string

Parameters

NameTypeRequiredDescription
accountIdstringYes-
symbolstringYes-
pricestringNo-

Body

application/json

No request body defined

Responses

Response

200
application/json
asOfstringrequired

The trading session after which this summary was calculated

symbolstringrequired

The ticker

companyNamestringrequired

Company name

lotsobject[]

The lots sorted by openDate

detailsunknown

Response

404application/json

Account not found or does not belong to the client

No response body defined

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "asOf": "2023-11-07",
  "symbol": "string",
  "companyName": "string",
  "lots": [
    {
      "quantity": "string",
      "costBasis": "string",
      "unitCost": "string",
      "currentPrice": "string",
      "currentValue": "string",
      "gainLoss": "string",
      "openDate": "2023-11-07",
      "term": "string",
      "washSale": true,
      "shortTermGainLoss": "string",
      "longTermGainLoss": "string",
      "openBuyPrice": "string",
      "lotSelectionId": "string",
      "outOfDateStatus": {
        "type": "PRE_EXISTING_OPEN_ORDER_ON_SYMBOL",
        "order": {
          "id": "string",
          "description": "string"
        },
        "description": {
          "header": "string",
          "body": "string"
        }
      }
    }
  ],
  "details": null
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more